Bug 1432866 - Python 3 C.UTF-8 locale
Summary: Python 3 C.UTF-8 locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Depends On: 1404918
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-16 09:30 UTC by Jan Kurik
Modified: 2018-03-26 15:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:30 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-03-16 09:30:44 UTC
This is a tracking bug for Change: Python 3 C.UTF-8 locale
For more details, see: https://fedoraproject.org//wiki/Changes/python3_c.utf-8_locale

The standalone Python 3.6 binary will automatically attempt to coerce the C locale to C.UTF-8, unless the new PYTHONCOERCECLOCALE environment variable is set to 0.

Comment 1 Jan Kurik 2017-03-17 05:32:26 UTC
Switching to MODIFIED as this Change is already in the Fedora 26 Alpha 1.1 compose.

Comment 2 Jan Kurik 2017-05-17 09:13:04 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 3 Jan Kurik 2017-05-19 08:13:19 UTC
This Change is going to be reviewed on a FESCo meeting: https://pagure.io/fesco/issue/1710

Comment 4 Timothy Redaelli 2017-05-22 13:55:10 UTC
Actually this modification breaks many packages that uses "testsuite" (autoconf stuff) and/or "autoconf" since "autoconf" / "testsuite" enforce LC_ALL=C and testsuite check stderr (by default) and so tests will fail since stderr is not empty.

An example of packages that was broken with this modification is "openvswitch"

A workaround in a spec file could be to set PYTHONCOERCECLOCALE=0 in %check and/or %build

Comment 5 Charalampos Stratakis 2017-06-27 14:06:41 UTC
The implementation has been changed. While python3 will actually change the locale, it will not print a warning to stderr.

Comment 6 Nick Coghlan 2018-03-26 15:19:48 UTC
Just adding a link to https://bugzilla.redhat.com/show_bug.cgi?id=1404918 for traceability to the actual implementation BZ, since the F26 change proposal page links here, and PEP 528 and Victor Stinner's recent article at https://vstinner.github.io/posix-locale.html both link to the change proposal page.


Note You need to log in before you can comment on or make changes to this bug.